Bug 458288 - Review Request: gitosis - git repository hosting application
Review Request: gitosis - git repository hosting application
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 10:20 EDT by John A. Khvatov
Modified: 2008-11-18 22:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 11:39:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John A. Khvatov 2008-08-07 10:20:58 EDT
Spec URL: http://stingr.net/~ivaxer/gitosis/gitosis.spec
SRPM URL: http://stingr.net/~ivaxer/gitosis/gitosis-0.2-4.20080730git.fc9.src.rpm
Description: Gitosis aims to make hosting git repos easier and safer. It manages
multiple repositories under one user account, using SSH keys to identify
users. End users do not need shell accounts on the server, they will talk
to one shared account that will not let them run arbitrary commands.
Comment 1 Mamoru TASAKA 2008-08-08 14:10:59 EDT
For 0.2-4:


! EVR (epoch-version-release)
  - Would you tell me whether this tarball is the "pre-release" or
    "post-release" of the formal 0.2 version?

* License
  - Currently I don't see any evicence that this package is
    licensed under GPLv2 only. Currently I regard this as licensed
    under GPL+ (I ignore debian/ directory)

* SourceURL
  - As this uses git repository, please follow
    https://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control
    i.e. write as a comment how you created the tarball

* Requires
  - Please make it sure that all rpms needed for this rpm are correctly
    listed in Requires.
    It seems at least "python-nose python-setuptools" is needed for Requires.

* README.fedora
  - Please include this file as SOURCE and not create this file by using cat.
    Using cat changes the timestamp of this time every time
    you rebuild this srpm unneededly.

* %clean
  * rm -f README.fedora is not needed.

* scriptlets
--------------------------------------------------------------
useradd -r -g gitosis -d /var/lib/gitosis -s /bin/sh \
-c "git repository hosting" gitosis
--------------------------------------------------------------
  - Is the directory %_localstatedir/lib/ unneeded (for %files
    entry)?
Comment 2 John A. Khvatov 2008-08-13 16:15:05 EDT
This tarball is the "post-release", which I wrote in Release tag as in https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Post-Release_packages

I have a warnings from rpmlint:
$ rpmlint gitosis-0.2-5.20080730git.fc9.noarch.rpm
gitosis.noarch: W: non-standard-uid /var/lib/gitosis gitosis
gitosis.noarch: W: non-standard-gid /var/lib/gitosis gitosis
gitosis.noarch: E: non-standard-dir-perm /var/lib/gitosis 0750
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Why? I create gitosis user and homedir by the package with appropriately permissions (0750). May be switch to fedora-mgmt? Incidentally, a similar package monotone has the same warnings.

Fixed:

SPEC: http://stingr.net/~ivaxer/gitosis/gitosis.spec
SRPM: http://stingr.net/~ivaxer/gitosis/gitosis-0.2-5.20080730git.fc9.src.rpm

Sorry for idle.
Thanks.
Comment 3 John A. Khvatov 2008-08-13 17:29:36 EDT
Fixed perms /var/lib/gitosis (0755):

SPEC: http://stingr.net/~ivaxer/gitosis/gitosis.spec
SRPM: http://stingr.net/~ivaxer/gitosis/gitosis-0.2-5.20080730git.fc9.src.rpm
Comment 4 Mamoru TASAKA 2008-08-14 02:37:29 EDT
Assigning.
Comment 5 Mamoru TASAKA 2008-08-14 03:09:20 EDT
Okay.

* Permission
(In reply to comment #2)
> I have a warnings from rpmlint:
> $ rpmlint gitosis-0.2-5.20080730git.fc9.noarch.rpm
> gitosis.noarch: W: non-standard-uid /var/lib/gitosis gitosis
> gitosis.noarch: W: non-standard-gid /var/lib/gitosis gitosis
> gitosis.noarch: E: non-standard-dir-perm /var/lib/gitosis 0750
> 1 packages and 0 specfiles checked; 1 errors, 2 warnings.
> 
> Why? I create gitosis user and homedir by the package with appropriately
> permissions (0750). 

  - If you really want 0750 permission, not 0755, then set explicitly the permission
    as 0750 (by %attr) and _ignore_ the rpmlint error.

* Macros
------------------------------------------------------------
    64  %dir %attr(0755,gitosis,gitosis) /var/lib/gitosis
------------------------------------------------------------
  - Please change /var to %{_localstatedir}

Please fix or modify these issue when importing this package into Fedora.
Other things are okay.

------------------------------------------------------------------------------------
              This package (gitosis) is APPROVED by mtasaka
------------------------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)". Now I am sponsoring you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 6 Mamoru TASAKA 2008-08-23 13:09:20 EDT
Now as koji is up, would you follow "Join" wiki? (CVS request is needed)
Comment 7 John A. Khvatov 2008-08-24 06:51:49 EDT
New Package CVS Request
=======================
Package Name: gitosis
Short Description: Git repository hosting application
Owners: ivaxer
Branches: F-9
InitialCC:
Comment 8 Kevin Fenzi 2008-08-24 14:55:50 EDT
cvs done.
Comment 9 John A. Khvatov 2008-08-24 17:33:23 EDT
Done. I build gitosis for f9 and submit request for push to updates via bodhi.

I inadvertently orphaned package, then revert it (in https://admin.fedoraproject.org/pkgdb/packages/name/gitosis). But status is "Orphaned". What must I do to change it?
Thanks.
Comment 10 Mamoru TASAKA 2008-08-25 00:12:07 EDT
As package db says the owner on devel branch is still you, I don't guess I can change
the status.

If it doesn't seem you can change the status, add CVS request on this bug
to revert the status and set fedora-cvs flag again. Perhaps CVS admins can treat
this properly.
Comment 11 John A. Khvatov 2008-08-25 08:52:25 EDT
Package Change Request
======================
Package Name: gitosis

I inadvertently orphaned package in devel content. The status remained "orphaned" after reversion. Is it possible to change the status to "Approved"?
Comment 12 Toshio Ernie Kuratomi 2008-08-25 18:11:59 EDT
The specific problem for this package has been fixed but the underlying issue has one remaining problem.

* All packages with status Orphaned and an actual owner have been changed to status "Approved"
* The backend has been changed to properly set the status to "Approved" when the package is un-orphaned.

* The webUI doesn't yet update the status immediatel,y (A page refresh will show the change, though.)
Comment 13 Mamoru TASAKA 2008-08-27 11:39:26 EDT
Now closing.
Comment 14 Fedora Update System 2008-09-24 20:02:25 EDT
gitosis-0.2-5.20080730git.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 John A. Khvatov 2008-11-18 16:37:05 EST
Package Change Request
======================
Package Name: gitosis
New Branches: EL-5
Owners: ivaxer slankes
Comment 16 John A. Khvatov 2008-11-18 16:40:17 EST
To Mamoru: I can't set fedora-cvs flag to "?" for new branch request. Why?
Comment 17 Mamoru TASAKA 2008-11-18 22:40:43 EST
For now I set fedora-cvs flag.
Comment 18 Kevin Fenzi 2008-11-18 22:53:59 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.